[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBCtrls' (#lcl)

# TDBRadioGroup.Notification

Sets the DataSource to Nil when the control is destroyed.

## Declaration

Source position: dbctrls.pp line 585

`protected procedure TDBRadioGroup.Notification(`
`AComponent: TComponent;`
`Operation: TOperation`
`); override;`

## Arguments

`AComponent` |  | Component for the notification.
`Operation` |  | Operation generating the notification.

## Description

Notification is an overridden method in TDBRadioGroup, and calls the inherited method. Notification ensures the DataSource for the control is set to Nil when Operation contains opRemove and AComponent is the DataSource component.

## See also

TDBRadioGroup.DataSource |  | Provides access to the linked dataset and the field definition used in the control.
TDBRadioGroup.Destroy |  | Destroy is the destructor for the class instance.
TComponent